function onBegin()
    local level = getLevel()
    makeUnskippable()
    disableRetry()
    disableMovement()
    player.ForceCameraUpdate = true
    wait(1)
    walk(60)
    wait(0.5)
    walk(-40)
    wait(0.5)
    walk(15)
    wait(1.25)
    player.DummyAutoAnimate = false
    player.StateMachine.State = 18
    wait(10)
end

function onEnd()
    enableMovement()
    enableRetry()
end